# SwiftUiTp

Projet de DouShouQi avec SwiftUI-SpriteKit et ARKit

## Overview

Ce projet est une implémentation du jeu de société traditionnel chinois Dou Shou Qi, également connu sous le nom de Jeu de la Jungle, pour les appareils iOS. Il s'agit d'un jeu stratégique à deux joueurs dans lequel chaque joueur contrôle huit pions représentants  différents animaux ayant des rangs et des pouvoirs variés. L'objectif est de capturer la tanière de l'adversaire ou d'éliminer toutes les pièces adverses.

## Technologies utilisées

- **Swift** : Le principal langage de programmation pour le développement d'applications iOS.
- **SpriteKit** : Une puissante infrastructure de rendu graphique et d'animation intégrée à iOS pour la création de jeux en 2D.
- **Xcode** : L'environnement de développement intégré (IDE) pour macOS, utilisé pour le développement d'applications iOS.

## Features
- Gestion d'un thème sombre en fonction du thème du device
- Menu
- Affichage d'une historique dynamique en fonction de données stubées
- ARKIT : Affichage d'une component Board dans un WorldPannel, sans la logique de jeu
- (SpriteKit) Affichage d'une board dynamique en 2D, mais lié qu'avec une partie des règles de jeu
- Jetons personnalisés
- Gestion des mouvements invalides


## Featuresn't
- L'applications n'a pas d'options multilingue
- Aucune persistance de données
- Création de joueur non géré
- Impossibilité de lancer une partie
- Impossibilité de lancer le jeu contre une IA
- Modification des joueurs commencée, mais abandonnée car j'ai perdu trop de temps dessus, et qu'il aurait fallu recoder le modèle pour cette simple fonctionnalité (cela m'a permis quand même de toucher au Binding)

## Erreur
Une erreur SIGABRT est levée lors d'une cast d'un ``Player?`` en ``HumainPlayer``, je n'ai pas réussi à régler ce problème.
Possible problèmes dû au nettoyage car aucuns test n'a été effectué ensuite.




# :construction_worker: Développeur

- Pierre FERREIRA : pierre.ferreira@etu.uca.fr

<div align="center">
<a href = "https://codefirst.iut.uca.fr/git/pierre.ferreira">
<img src="https://codefirst.iut.uca.fr/git/avatars/edbacace5f621ae77077f206ebdcee27?size=870" width="50" >
</a>

© IUT - Auvergne
</div>

---


<div style="display: flex; align-items: center;">
    <p><i><strong>While writing this README, I was listening to...</strong></i></p>
  <a href="https://www.youtube.com/watch?v=TaRleMb7eH0" target="_blank" style="text-decoration: none;">
    <img src="https://img.youtube.com/vi/TaRleMb7eH0/0.jpg" alt="YouTube Thumbnail" style="width: 120px; margin-right: 10px;">
  </a>
  <div>
    <p><strong>Pure Vessel - Hollow Knight OST Extended</strong></p>
    <p><em>Team Cherry - (2017)</em></p>
  </div>
</div>